Bug 1099625 - Default message digest defaults to sha1
Summary: Default message digest defaults to sha1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: freeradius
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Nikolai Kondrashov
QA Contact: Eduard Benes
URL:
Whiteboard:
Depends On:
Blocks: 1135439
TreeView+ depends on / blocked
 
Reported: 2014-05-20 19:02 UTC by Ken Benoit
Modified: 2019-03-06 00:39 UTC (History)
3 users (show)

Fixed In Version: freeradius-3.0.4-0.1.rc2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1135439 (view as bug list)
Environment:
Last Closed: 2015-03-05 10:19:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0438 normal SHIPPED_LIVE freeradius bug fix and enhancement update 2015-03-05 14:50:53 UTC

Description Ken Benoit 2014-05-20 19:02:12 UTC
Description of problem:
The default_md field in the /etc/raddb/certs/client.cnf, /etc/raddb/certs/ca.cnf, and /etc/raddb/certs/server.cnf default to sha1. At this point they should probably default to sha256 since it's been deemed that both md5 and sha1 are not secure.

Version-Release number of selected component (if applicable):
freeradius 3.0.1-6.el7

Comment 1 John Dennis 2014-05-20 19:45:44 UTC
Valid point, we already had patched the cnf file from upstream to move from md5 to sha1 a few years back. Upgrading to sha256 is good next step in the ever evolving cipher hardening.

FWIW these files are meant to be temporary *example* certs uesd just to get started (we reduce the validity period just to reinfoce that idea) and our documentation clearly states you're supposed to acquire better certs in any real deployment. However the example should "lead by example" and indeed we should bump up the digest algorithm. Just saying this to avoid this being construed as a serious security issue.

Comment 2 Nikolai Kondrashov 2014-07-16 18:58:37 UTC
Fix merged upstream: https://github.com/FreeRADIUS/freeradius-server/pull/734

Comment 8 errata-xmlrpc 2015-03-05 10:19:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0438.html


Note You need to log in before you can comment on or make changes to this bug.